package com.gree.mall.manager.bean.activity;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.promotion.PromotionStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class PromotionActivityVO {

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商户编号")
    private String companyWechatId;

    @ApiModelProperty(value = "所属商户")
    private String companyWechatName;

    @ApiModelProperty(value = "所属网点")
    private String customWebsitName;

    @ApiModelProperty(value = "活动提交单号")
    private String promotionActivityId;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "设置活动id")
    private String promotionQuestionnaireId;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "活动名称")
    private String name;

    @ApiModelProperty(value = "状态")
    private PromotionStatusEnum status;

    @ZfireField(type = "date", tbName = "b")
    @ApiModelProperty(value = "活动开始日期")
    private Date startTime;

    @ZfireField(type = "date", tbName = "b")
    @ApiModelProperty(value = "活动结束日期")
    private Date endTime;

    @ApiModelProperty(value = "客户名称")
    private String userName;

    @ApiModelProperty(value = "联系人")
    private String linkName;

    @ApiModelProperty(value = "客户电话")
    private String userMobile;

    @ApiModelProperty(value = "客户电话2")
    private String userMobile2;

    @ApiModelProperty(value = "客户地址")
    private String userAddress;

    @ApiModelProperty(value = "提交人")
    private String createBy;

    @ApiModelProperty(value = "提交时间")
    private Date createTime;

    @ZfireField(tbName = "b", hide = true, colName = "create_by", ignoreSelect = true)
    @ApiModelProperty(value = "创建人")
    private String orderCreateBy;

    @ZfireField(tbName = "b", hide = true, colName = "create_mobile", ignoreSelect = true)
    @ApiModelProperty(value = "创建人电话")
    private String orderCreateMobile;

    @ZfireField(tbName = "b", hide = true, colName = "create_time", ignoreSelect = true)
    @ApiModelProperty(value = "创建时间")
    private Date orderCreateTime;

    @ApiModelProperty(value = "最新跟进人")
    private String updateBy;

    @ApiModelProperty(value = "最新跟进时间")
    private Date updateTime;

}
