package com.gree.mall.manager.bean.engin;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.engin.EnginPayManageStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class EnginPayManageGatherVO {

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商户编号")
    private String companyWechatId;

    @ApiModelProperty(value = "商户名称")
    private String companyWechatName;

    @ApiModelProperty(value = "工程编号")
    private String projectNo;

    @ApiModelProperty(value = "工程名称")
    private String projectName;

    @ZfireField(isQuery = false, ignoreSelect = true)
    @ApiModelProperty(value = "状态")
    private EnginPayManageStatusEnum status;

    @ZfireField(isQuery = false, ignoreSelect = true)
    @ApiModelProperty(value = "销售金额")
    private BigDecimal totalSalesAmount;

    @ZfireField(isQuery = false, ignoreSelect = true)
    @ApiModelProperty(value = "收款金额")
    private BigDecimal totalPayAmount;

    @ZfireField(isQuery = false, ignoreSelect = true)
    @ApiModelProperty(value = "未收款金额")
    private BigDecimal totalNotPayAmount;

    @ZfireField(isQuery = false, ignoreSelect = true)
    @ApiModelProperty(value = "修改人")
    private String lastUpdateBy;

    @ZfireField(isQuery = false, ignoreSelect = true)
    @ApiModelProperty(value = "修改时间")
    private Date lastUpdateTime;

}
