package com.gree.mall.manager.bean.engin;


import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.ExamineStatusEnum;
import com.gree.mall.manager.enums.ExamineStatusManagerEnum;
import com.gree.mall.manager.enums.material.WebsitGoodsTypeEnum;
import com.gree.mall.manager.plus.entity.OrderEnginBase;
import com.gree.mall.manager.plus.entity.WebsitSalesManager;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class WebsitSalesManagerVO     {

    @ZfireField(hide = true)
    @ApiModelProperty(value = "单号")
    @TableId(value = "websit_sales_manager_id", type = IdType.ID_WORKER_STR)
    private String websitSalesManagerId;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商户编号")
    private String companyWechatId;

    @ApiModelProperty(value = "商户名称")
    private String companyWechatName;

    @ApiModelProperty(value = "工程机编号")
    private String orderEnginBaseId;

    @ApiModelProperty(value = "商品类型")
    private WebsitGoodsTypeEnum goodsType;

    @ApiModelProperty(value = "状态")
    private ExamineStatusManagerEnum status;

    @ApiModelProperty(value = "销售数量")
    private Integer salesNum;

    @ApiModelProperty(value = "销售金额")
    private BigDecimal salesPrice;

    @ApiModelProperty(value = "退货数量")
    private Integer retNum;

    @ApiModelProperty(value = "退货金额")
    private BigDecimal retPrice;

    @ApiModelProperty(value = "应收金额")
    private BigDecimal price;

    @ApiModelProperty(value = "已收金额")
    private BigDecimal givePrice;

    @ApiModelProperty(value = "待收金额")
    private BigDecimal waitPrice;

    @ApiModelProperty(value = "创建人")
    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;





    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "工程名称")
    private String projectName;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "负责人")
    private String manger;
    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "联系电话")
    private String mobile;
    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "项目开始时间")
    private Date startTime;
    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "项目结束时间")
    private Date endTime;
    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "省")
    private String province;
    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "市")
    private String city;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "区")
    private String area;


    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "街道")
    private String street;


    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "详细地址")
    private String address;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "项目说明")
    private String remark;




}
