package com.gree.mall.manager.bean.es;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.IsEnum;
import com.gree.mall.manager.enums.es.ESGoodsStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class ESGoodsVO {

    @ZfireField(hide = true)
    @ApiModelProperty(value = "id")
    private String id;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商户编号")
    private String companyWechatId;

    @ApiModelProperty(value = "所属商户")
    private String companyWechatName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "用户id")
    private String userId;

    @ApiModelProperty(value = "商品分类")
    private String categoryName;

    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    @ApiModelProperty(value = "商品描述")
    private String goodsNote;

    @ApiModelProperty(value = "功率（W）")
    private String power;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商品分类id")
    private String categoryId;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商品品牌")
    private String brand;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "能效标识id")
    private String markId;

    @ApiModelProperty(value = "能效标识")
    private String mark;

    @ApiModelProperty(value = "制造日期")
    private String makeDate;

    @ApiModelProperty(value = "状态")
    private ESGoodsStatusEnum status;

    @ApiModelProperty(value = "销售价格")
    private BigDecimal price;

    @ApiModelProperty(value = "商品数量")
    private Integer qty;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "是否置顶")
    private IsEnum isTop;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "置顶时间")
    private Date topTime;

    @ApiModelProperty(value = "点赞数量")
    private Integer likeCount;

    @ApiModelProperty(value = "访问数量")
    private Integer queryCount;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "微信昵称")
    private String userNickName;

    @ApiModelProperty(value = "发布人")
    private String createBy;

    @ApiModelProperty(value = "发布时间")
    private Date createTime;

    @ApiModelProperty(value = "修改人")
    private String updateBy;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ZfireField(ignoreSelect = true)
    @ApiModelProperty(value = "商品图片url")
    private String imgUrl;
}
