package com.gree.mall.manager.bean.goods;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.bean.activity.CustomSecSpecBean;
import com.gree.mall.manager.bean.activity.CustomSpecBean;
import com.gree.mall.manager.enums.CustomSecStatusEnum;
import com.gree.mall.manager.enums.StatusEnum;
import com.gree.mall.manager.plus.entity.SecKillActivitySpec;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ZfireField(tbName = "a")
public class CustomSecSpecBeanVO     {


    @ZfireField(hide = true)
    @ApiModelProperty(value = "活动明细id")
    private String secKillSpecId;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "活动id")
    private String secKillId;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商品id")
    private String goodsId;

    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商品规格id")
    private String goodsSpecId;

    @ApiModelProperty(value = "规格值")
    private String goodsSpecValue;

    @ApiModelProperty(value = "商品简介")
    private String goodsIntroduction;

    @ApiModelProperty(value = "商品规格名称")
    private String goodsSpecName;

    @ApiModelProperty(value = "图片u")
    private String imgUrl;

    @ApiModelProperty(value = "商品原价")
    private BigDecimal goodsPrice;

    @ApiModelProperty(value = "秒杀价格")
    private BigDecimal price;

    @ApiModelProperty(value = "返佣金额")
    private BigDecimal amount;

    @ApiModelProperty(value = "秒杀库存")
    private Integer secStockNum;

    @ApiModelProperty(value = "限制购买数量")
    private Integer limitBuy;

    @ApiModelProperty(value = "销量")
    private Integer salesVolume;

    @ApiModelProperty(value = "是否关闭")
    private StatusEnum status;

    @ApiModelProperty(value = "分销比例")
    private Double sharePercent;

    @ApiModelProperty(value = "排序字段，越小越前")
    private Integer sortNum;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;


    @ZfireField(hide = true)
    @ApiModelProperty(value = "企业微信id")
    private String companyWechatId;

    @ApiModelProperty(value = "商户名称")
    private String companyName;


}
