package com.gree.mall.manager.bean.goods;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.IsYesNoEnum;
import com.gree.mall.manager.enums.material.StateEnum;
import com.gree.mall.manager.enums.material.UnitEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class GoodsMaterialVO {

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商品物料id")
    private String id;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商户编号")
    private String companyWechatId;

    @ApiModelProperty(value = "商户名称")
    private String companyWechatName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "是否虚拟商品")
    private IsYesNoEnum isVirtyual;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "品牌id")
    private String brandId;

    @ApiModelProperty(value = "品牌名称")
    private String brandName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "产品大类id")
    private String mainId;

    @ApiModelProperty(value = "产品大类名称")
    private String mainName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "产品小类")
    private String smallId;

    @ApiModelProperty(value = "产品小类名称")
    private String smallName;

    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    @ApiModelProperty(value = "系列名称")
    private String seriesName;

    @ApiModelProperty(value = "规格型号")
    private String specsName;

    @ApiModelProperty(value = "单位")
    private UnitEnum unit;

    @ApiModelProperty(value = "厂物料编码")
    private String factoryNo;

    @ApiModelProperty(value = "状态")
    private StateEnum state;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;


}
