package com.gree.mall.manager.bean.goods;


import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.material.UnitEnum;
import com.gree.mall.manager.plus.entity.GoodsSaleLedger;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
public class GoodsSaleLedgerVO   {

    @ZfireField(hide = true)
    private String goodsSaleLedgerId;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "商户编号")
    private String companyWechatId;

    @ApiModelProperty(value = "商户名称")
    private String companyWechatName;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "品牌id")
    private String brandId;

    @ApiModelProperty(value = "品牌名称")
    private String brandName;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "产品大类id")
    private String mainId;

    @ApiModelProperty(value = "产品大类")
    private String mainName;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "产品小类")
    private String smallId;

    @ApiModelProperty(value = "产品小类")
    private String smallName;

    @ApiModelProperty(value = "商品编号")
    private String goodsMaterialId;

    @ApiModelProperty(value = "商品名称")
    private String goodsMaterialName;

    @ApiModelProperty(value = "规格型号")
    private String specsName;

    @ApiModelProperty(value = "单位")
    private UnitEnum unit;

    @ApiModelProperty(value = "销售数量")
    private Integer qty;

    @ApiModelProperty(value = "创建人")
    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "退货数量")
    private Integer refundNum;

/*    @ApiModelProperty(value = "采购时间")
    private Date purchaseTime;*/

    @ApiModelProperty(value = "销售时间")
    private Date saleTime;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "销售员id")
    private String workerId;

    @ApiModelProperty(value = "销售员名称")
    private String workerName;

    @ApiModelProperty(value = "销售员手机号")
    private String workerPhone;

    @ApiModelProperty(value = "参考成本")
    private BigDecimal costPrice;

    @ApiModelProperty(value = "订单号")
    private String orderId;

    @ApiModelProperty(value = "销售金额")
    private BigDecimal saleAmount;

    @ApiModelProperty(value = "退款金额")
    private BigDecimal refundAmount;

    @ApiModelProperty(value = "佣金")
    private BigDecimal commisAmount;

    @ApiModelProperty(value = "运费")
    private BigDecimal freight;

/*    @ApiModelProperty(value = "结算金额")
    private BigDecimal settlementAmount;*/

    @ApiModelProperty(value = "收货人名称")
    private String receUserName;

    @ApiModelProperty(value = "收货人电话")
    private String recePhone;

    @ApiModelProperty(value = "发货时间")
    private Date sendGoodsTime;

    @ApiModelProperty(value = "发货人")
    private String sendName;

    @ApiModelProperty(value = "快递单号")
    private String trackingNum;

    @ApiModelProperty(value = "退货单号")
    private String refundOrderId;

    @ApiModelProperty(value = "退货确认人")
    private String refundName;

    @ApiModelProperty(value = "结算单号")
    private String orderShareId;

    @ApiModelProperty(value = "退货时间")
    private Date refundTime;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "仓库id")
    private String storageId;

    @ApiModelProperty(value = "所在仓库")
    private String storageName;


}
