package com.gree.mall.manager.bean.material.base;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.material.StateEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class WebsitGoodsAlonePVO {

    @ApiModelProperty(value = "商户名称")
    private String companyWechatName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商品编号")
    private String goodsId;

    @ApiModelProperty(value = "配件编码")
    private String goodsCode;

    @ApiModelProperty(value = "配件名称")
    private String goodsName;

    @ApiModelProperty(value = "单位")
    private String goodsStockUnit;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "规格型号")
    private String goodsSpecification;

    @ApiModelProperty(value = "状态")
    private StateEnum status;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "销售价格")
    private BigDecimal marketPrice;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

}
