package com.gree.mall.manager.bean.material.base;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.material.JudgeEnum;
import com.gree.mall.manager.enums.material.StateEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class WebsitGoodsMVO {

    @ApiModelProperty(value = "商品编号")
    private String goodsId;

    @ApiModelProperty(value = "商户名称")
    private String companyWechatName;

    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    @ApiModelProperty(value = "商品代码")
    private String goodsCode;

    @ApiModelProperty(value = "商品条码")
    private String goodsBarcodeId;

    @ZfireField(hide = true, tbName = "b", colName = "parent_category_id")
    @ApiModelProperty(value = "商品父类编号")
    private String parentCategoryId;

    @ZfireField(tbName = "b", colName = "parent_category_name")
    @ApiModelProperty(value = "父类名称")
    private String parentCategoryName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商品小类编号")
    private String goodsCategoryId;

    @ZfireField(tbName = "b", colName = "category_name")
    @ApiModelProperty(value = "分类名称")
    private String categoryName;

    @ApiModelProperty(value = "简拼")
    private String goodsSpell;

    @ApiModelProperty(value = "规格型号")
    private String goodsSpecification;

    @ApiModelProperty(value = "单位")
    private String goodsStockUnit;

    @ApiModelProperty(value = "采购价格")
    private BigDecimal cost;

    @ApiModelProperty(value = "销售价格")
    private BigDecimal marketPrice;

//    @ApiModelProperty(value = "销售单位")
//    private String goodsSalesUnit;
//
    @ApiModelProperty(value = "销售单位转换系数")
    private BigDecimal goodsSalesConvertQty;
//
//    @ApiModelProperty(value = "转换数保留小数位（以0舍1入方式保留）")
//    private Integer convertBitScale;

    @ApiModelProperty(value = "图片")
    private String goodsImage;

    @ApiModelProperty(value = "状态")
    private StateEnum status;

//    @ZfireField(hide = true)
    @ApiModelProperty(value = "是否入师傅库存")
    private JudgeEnum manageWorkerStock;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ZfireField(ignoreSelect = true, hide = true)
    @ApiModelProperty(value = "库存数量")
    private BigDecimal stockQty;
}
