package com.gree.mall.manager.bean.material.base;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.material.NormTypeEnum;
import com.gree.mall.manager.enums.material.StateEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class WebsitNormChargeVO {

    @ZfireField(hide = true)
    @ApiModelProperty(value = "收费标准编号")
    private String normId;

    @ApiModelProperty(value = "商户名称")
    private String companyWechatName;

    @ApiModelProperty(value = "辅材名称")
    private String normName;

    @ApiModelProperty(value = "商品代码")
    private String normCode;

    @ZfireField(hide = true, tbName = "b", colName = "parent_category_name")
    @ApiModelProperty(value = "父类编号")
    private String parentCategoryId;

    @ZfireField(tbName = "b", colName = "parent_category_name")
    @ApiModelProperty(value = "大类名称")
    private String parentCategoryName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "小类编号")
    private String categoryId;

    @ZfireField(tbName = "b", colName = "category_name")
    @ApiModelProperty(value = "小类名称")
    private String categoryName;

    @ApiModelProperty(value = "规格型号")
    private String specification;

    @ApiModelProperty(value = "单位")
    private String unit;

    @ApiModelProperty(value = "收费类型")
    private NormTypeEnum normType;

    @ApiModelProperty(value = "收费标准")
    private BigDecimal normAmount;

    @ApiModelProperty(value = "自有库存师傅分账金额")
    private BigDecimal selfWorkerAmount;

    @ApiModelProperty(value = "自有库存商户分账金额")
    private BigDecimal selfWebsitAmount;

    @ApiModelProperty(value = "师傅手工费用")
    private BigDecimal manualAmount;

    @ApiModelProperty(value = "状态")
    private StateEnum status;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
}
