package com.gree.mall.manager.bean.order;

import com.gree.mall.manager.enums.LeaseOrderStatusEnum;
import com.gree.mall.manager.enums.material.PayTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel
@Data
public class LeaseOrderVO {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "商户编号")
    private String companyWechatId;

    @ApiModelProperty(value = "商户名称")
    private String companyWechatName;

    @ApiModelProperty(value = "线上订单 true=是 false=否")
    private Boolean onLineBill;

    @ApiModelProperty(value = "支付方式 LINE=线下支付 WECHAT=微信")
    private PayTypeEnum payType;

    @ApiModelProperty(value = "客户名称")
    private String userName;

    @ApiModelProperty(value = "客户电话")
    private String userMobile;

    @ApiModelProperty(value = "省")
    private String province;

    @ApiModelProperty(value = "市")
    private String city;

    @ApiModelProperty(value = "区")
    private String area;

    @ApiModelProperty(value = "街道")
    private String street;

    @ApiModelProperty(value = "用户地址")
    private String userAddress;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "附件")
    private String fileUrl;

    @ApiModelProperty(value = "总租金")
    private BigDecimal totalAmount;

    @ApiModelProperty(value = "订金")
    private BigDecimal depositAmount;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "修改人")
    private String updateBy;

    @ApiModelProperty(value = "订单状态 WAIT=待确认 LEASE=租赁中 OVER=已到期，待回收 RECOVER=已到期，已回收 CANCEL=已取消")
    private LeaseOrderStatusEnum status;

    @ApiModelProperty(value = "支付时间")
    private Date payTime;

    @ApiModelProperty(value = "商品分类id")
    private String categoryId;

    @ApiModelProperty(value = "商品分类名称")
    private String categoryName;

    @ApiModelProperty(value = "商品分类图片url")
    private String categoryUrl;

    @ApiModelProperty(value = "租赁商品id")
    private String goodsLeaseId;

    @ApiModelProperty(value = "租赁商品名称")
    private String goodsLeaseName;

    @ApiModelProperty(value = "租赁商品单位")
    private String goodsUnit;

    @ApiModelProperty(value = "数量")
    private Integer qty;

    @ApiModelProperty(value = "订金价格（元）")
    private BigDecimal depositPrice;

    @ApiModelProperty(value = "起租日期")
    private Date startDate;

    @ApiModelProperty(value = "到期日期")
    private Date endDate;

    @ApiModelProperty(value = "租金(元)/月")
    private BigDecimal leasePrice;

    @ApiModelProperty(value = "总订金")
    private BigDecimal bookAmount;

    @ApiModelProperty(value = "实际到期日期")
    private Date realEndDate;
}
