package com.gree.mall.manager.bean.order;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.OrderSharePageEnum;
import com.gree.mall.manager.enums.OrderShareStatusEnum;
import com.gree.mall.manager.plus.entity.OrderShare;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ZfireField(tbName = "a")
public class OrderShareVO   {


    @ApiModelProperty(value = "结算单号")
    private String orderShareId;

    @ApiModelProperty(value = "订单号")
    private String orderId;

    @ApiModelProperty(value = "结算状态")
    private OrderSharePageEnum status;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "师傅企业微信用户id")
    private String workUserId;

    @ApiModelProperty(value = "师傅名称")
    private String workUserName;

    @ApiModelProperty(value = "师傅手机号")
    private String workUserPhone;

    @ApiModelProperty("总佣金额")
    private BigDecimal totalAmount;
    @ApiModelProperty(value = "实际分佣金额")
    private BigDecimal amount;
    @ApiModelProperty("手续费")
    private BigDecimal handleFees;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "买家id")
    private String userId;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "openid")
    private String openId;

    @ApiModelProperty(value = "买家名称")
    private String userName;

    @ApiModelProperty(value = "买家手机号")
    private String phone;

    @ApiModelProperty(value = "买家收获地址")
    private String address;

    @ApiModelProperty(value = "实际支付金额")
    private BigDecimal payment;

    @ApiModelProperty(value = "订单支付时间")
    private Date payTime;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "订单状态")
    private String orderStatus;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "微信支付回调返回的支付订单id")
    private String transactionId;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "结算时间")
    private Date settleTime;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "订单物流签收时间")
    private Date orderFinishTime;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "网点编号")
    private String websitNumber;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "职位")
    private String position;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "团购活动id")
    private String promotionGroupId;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "1=分销员带货 2=团购活动")
    private Integer flag;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "企业微信id")
    private String companyWechatId;

    @ApiModelProperty(value = "商户名称")
    private String companyWechatName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "部门id")
    private String websitId;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "网点名称")
    private String websitName;

}
