package com.gree.mall.manager.bean.order.refund;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.annotation.ZfireList;
import com.gree.mall.manager.enums.ExamineStatusEnum;
import com.gree.mall.manager.enums.SaleTypeEnum;
import com.gree.mall.manager.enums.material.PayTypeEnum;
import com.gree.mall.manager.plus.entity.OrderOfflineRefund;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 商城销售退货单列表
 * @author ：lijh
 * @description：TODO
 * @date ：2024/4/16 14:02
 */
@ZfireField(tbName = "a")
@ApiModel
@Data
public class OrderOfflineRefundVO   {

    @ZfireField(hide = true)
    @ApiModelProperty("退货单号")
    private String id;
    @ApiModelProperty("所属商户")
    private String companyWechatName;
    @ApiModelProperty("订单号")
    private String orderId;
    @ApiModelProperty("状态")
    private ExamineStatusEnum examineStatus;
    @ApiModelProperty("数量")
    private Integer totalRefundNum;
    @ApiModelProperty("退货金额")
    private BigDecimal totalRefundAmount;

    @ApiModelProperty("发货单号")
    private String deliveryId;

    @ZfireField(tbName = "b")
    @ApiModelProperty("业务员")
    private String saleName;
    @ZfireField(tbName = "b")
    @ApiModelProperty("业务员电话")
    private String saleMobile;
    @ZfireField(tbName = "b")
    @ApiModelProperty("客户名称")
    private String userName;
    @ZfireField(tbName = "b")
    @ApiModelProperty("客户电话")
    private String phone;
    @ZfireField(tbName = "b")
    @ApiModelProperty("客户地址")
    private String receAddress;
    @ZfireField(tbName = "b")
    @ApiModelProperty("销售类型")
    private SaleTypeEnum saleType;


    @ZfireField(ignoreSelect = true,isQuery = false)
    @ApiModelProperty("支付状态")
    private String payStatus = "已支付";

    @ZfireField(tbName = "b")
    @ApiModelProperty("支付方式")
    private PayTypeEnum payTypeId;
    @ZfireField(tbName = "b")
    @ApiModelProperty("支付订单号")
    private String transactionId;
    @ZfireField(tbName = "b")
    @ApiModelProperty("支付时间")
    private Date payTime;

    @ApiModelProperty("创建人")
    private String createBy;
    @ApiModelProperty("创建时间")
    private Date createTime;
    @ApiModelProperty("审批人")
    private String examineBy;
    @ApiModelProperty("审批时间")
    private Date examineTime;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "发货仓储id")
    private String storageId;

    @ApiModelProperty(value = "发货仓名称")
    private String storageName;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "退货仓id")
    private String storageStockId;

    @ApiModelProperty(value = "退货仓名称")
    private String storageStockName;

}
