package com.gree.mall.manager.bean.settle.repair;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.repair.settle.DoStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class DailyIncrDecrCostCountVO {

    @ApiModelProperty(value = "所属商户")
    private String companyWechatName;

    @ApiModelProperty(value = "导入批次号")
    private String importBatchNo;

    @ZfireField(ignoreSelect = true, isQuery = false)
    @ApiModelProperty(value = "人数")
    private Integer personNums;

    @ZfireField(ignoreSelect = true, isQuery = false)
    @ApiModelProperty(value = "数量（单）")
    private Integer orderNums;

    @ZfireField(ignoreSelect = true, isQuery = false)
    @ApiModelProperty(value = "金额（元）")
    private BigDecimal totalAmount;

    @ApiModelProperty(value = "状态")
    private DoStatusEnum doStatus;

    @ApiModelProperty(value = "导入操作人")
    private String importBy;

    @ApiModelProperty(value = "导入时间")
    private Date importTime;

    @ApiModelProperty(value = "汇总操作人")
    private String doBy;

    @ApiModelProperty(value = "汇总时间")
    private Date doTime;

    @ApiModelProperty(value = "汇总批次号")
    private String doBatchNo;

}
