package com.gree.mall.manager.bean.settle.repair;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.repair.settle.DoStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class DailyReduceCostGatherVO {

    @ApiModelProperty(value = "所属商户")
    private String companyWechatName;

    @ApiModelProperty(value = "导入批次号")
    private String importBatchNo;

    @ZfireField(ignoreSelect = true, isQuery = false)
    @ApiModelProperty("人数")
    private Integer personNums;

    @ZfireField(ignoreSelect = true, isQuery = false)
    @ApiModelProperty("数量")
    private Integer orderNums;

    @ZfireField(ignoreSelect = true, isQuery = false)
    @ApiModelProperty("金额(元)")
    private BigDecimal totalAmount;

    @ApiModelProperty(value = "状态")
    private DoStatusEnum doStatus;

    @ApiModelProperty(value = "导入时间")
    private Date importTime;

    @ApiModelProperty(value = "导入操作人")
    private String importBy;

    @ApiModelProperty(value = "执行操作人")
    private String doBy;

    @ApiModelProperty(value = "执行时间")
    private Date doTime;

    @ApiModelProperty(value = "执行批次号")
    private String doBatchNo;

}
