package com.gree.mall.manager.bean.settle.repair;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.repair.settle.IssueSummaryStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class DailySummaryDataVO {

    @ApiModelProperty(value = "所属商户")
    private String companyWechatName;

    @ApiModelProperty(value = "汇总批次号")
    private String summaryBatchNo;

    @ApiModelProperty(value = "发放月份")
    private String month;

    @ZfireField(ignoreSelect = true, isQuery = false)
    @ApiModelProperty(value = "结算人数")
    private Integer summaryNum;

    @ZfireField(ignoreSelect = true, isQuery = false)
    @ApiModelProperty(value = "结算工单数量（单）")
    private Integer summaryOrderNum;

    @ZfireField(ignoreSelect = true, isQuery = false)
    @ApiModelProperty(value = "结算金额（元）")
    private BigDecimal issueCostC;

    @ApiModelProperty(value = "发放状态")
    private IssueSummaryStatusEnum status;

    @ApiModelProperty(value = "汇总操作人")
    private String summaryBy;

    @ApiModelProperty(value = "汇总时间")
    private String summaryTime;

    @ApiModelProperty(value = "发放操作人")
    private String issueBy;

    @ApiModelProperty(value = "发放时间")
    private String issueTime;

}
