package com.gree.mall.manager.bean.trade;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.OldManagerTypeStatusEnum;
import com.gree.mall.manager.enums.SaleTypeEnum;
import com.gree.mall.manager.plus.entity.OldProductManager;
import com.gree.mall.manager.plus.entity.OldProductManagerItem;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
public class OldProductManagerVO     {

    @ZfireField(tbName = "a",hide = true)
    @TableId(value = "id", type = IdType.ID_WORKER_STR)
    private String id;

    @ZfireField(tbName = "a",hide = true)
    @ApiModelProperty(value = "企业微信id")
    private String companyWechatId;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "所属商户")
    private String companyName;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "订单号")
    private String orderId;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "工单号")
    private String pgOrderId;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "工单类型")
    private String orderSmallTypeText;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "状态")
    private OldManagerTypeStatusEnum status;

    @ZfireField(tbName = "b",hide = true)
    @ApiModelProperty(value = "三级")
    private String serviceCategoryId;
    @ZfireField(tbName = "b",hide = true)
    @ApiModelProperty(value = "属性名称")
    private String categoryName;
    @ZfireField(tbName = "b",hide = true)
    @ApiModelProperty(value = "二级")
    private String mainId;
    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "大类")
    private String mainName;
    @ZfireField(tbName = "b",hide = true)
    @ApiModelProperty(value = "一级")
    private String smallId;
    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "小类")
    private String smallName;
    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "金额")
    private BigDecimal payAmount;
    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "属性名称")
    private String itemName;
    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "单位")
    private String unit;
    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "数量")
    private Integer num;
    @ZfireField(tbName = "b",hide = true)
    @ApiModelProperty(value = "型号id")
    private String specId;
    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "型号")
    private String specName;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "客户名称")
    private String userName;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "客户电话")
    private String userPhone;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "用户地址")
    private String userAddress;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "销售类型")
    private SaleTypeEnum saleType;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "师傅报完工时间")
    private Date overTime;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "备注")
    private String remark;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "创建人")
    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "更新人")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateBy;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;


}
