package com.gree.mall.manager.bean.websit;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.*;
import com.gree.mall.manager.enums.workorder.SaleTypeEnum;
import com.gree.mall.manager.plus.entity.SettlementOrder;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class SettlementOrderLogicVO      {


    @ApiModelProperty(value = "结算订单号")
    private String settlementOrderId;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商户编号")
    private String companyWechatId;

    @ApiModelProperty(value = "商户名称")
    private String companyWechatName;

    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @ApiModelProperty(value = "网点名称")
    private String websitName;


    @ApiModelProperty(value = "品牌")
    private String brand;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "客户名称")
    private String userName;

    @ApiModelProperty(value = "客户电话")
    private String userMobile;

    @ApiModelProperty(value = "工程师编号")
    private String workerId;

    @ApiModelProperty(value = "工程师名称")
    private String workerName;

    @ApiModelProperty(value = "工程师手机号")
    private String workerMobile;

    @ApiModelProperty(value = "身份证")
    private String identity;

    @ApiModelProperty(value = "订单金额")
    private BigDecimal totalAmount;


    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "更新人")
    private String updateBy;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "支付状态")
    private PayStatusEnum payStatus;

    @ApiModelProperty(value = "订单号")
    private String orderId;

    @ApiModelProperty(value = "支付时间")
    private Date payTime;

    @ApiModelProperty(value = "结算状态")
    private SettlementStatusNewEnum status;

    @ApiModelProperty(value = "分账金额")
    private BigDecimal amount;

    @ApiModelProperty(value = "手续费")
    private BigDecimal commissionAmount;

    @ApiModelProperty(value = "师傅分账金额")
    private BigDecimal workerAmount;


    @ApiModelProperty(value = "结算时间")
    private Date settlementTime;

    @ApiModelProperty(value = "微信流水号")
    private String transcationId;

    @ApiModelProperty(value = "支付类型")
    private SettlementPayTypeEnum payType;


    @ApiModelProperty(value = "工单销售类型")
    private SaleTypeEnum saleType;


    @ApiModelProperty(value = "结算人")
    private String settlementName;


}
