package com.gree.mall.manager.bean.workorder;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.material.OrderUseTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel
@Data
@ZfireField(tbName = "a")
public class RepairSettleNormVO {

    @ZfireField(hide = true)
    @ApiModelProperty(value = "id")
    private String id;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商户编号")
    private String companyWechatId;

    @ApiModelProperty(value = "商户名称")
    private String companyWechatName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "类型 INSTALL=安装 REPAIR=维修 OTHER=其它")
    private String settleNormType;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "工单来源编号")
    private String orderChannelId;

    @ApiModelProperty(value = "工单来源")
    private String orderChannelText;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "工单类型编号")
    private String type;

    @ApiModelProperty(value = "工单类型")
    private String typeName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "产品大类id")
    private String parentCategoryId;

    @ApiModelProperty(value = "产品大类")
    private String parentCategoryName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "产品小类id")
    private String categoryId;

    @ApiModelProperty(value = "产品小类")
    private String categoryName;

    @ApiModelProperty(value = "质保类型")
    private OrderUseTypeEnum label;

    @ApiModelProperty(value = "上门费（元/单）")
    private BigDecimal repairAmount;

    @ApiModelProperty(value = "维修结算比例(师傅%)")
    private BigDecimal normAmount;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "修改人")
    private String updateBy;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
}
