package com.gree.mall.manager.bean.workorder;

import com.gree.mall.manager.annotation.ZfireField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class WebsitOrderSettleCountVO {

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商户id")
    private String companyWechatId;

    @ApiModelProperty(value = "商户名称")
    private String companyWechatName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "销售网点id")
    private String websitId;

    @ApiModelProperty(value = "销售网点名称")
    private String websitName;

    @ZfireField(isQuery = false)
    @ApiModelProperty(value = "订单数量")
    private BigDecimal orderNum;

    @ZfireField(isQuery = false)
    @ApiModelProperty(value = "订单金额")
    private BigDecimal orderAmount;

    @ZfireField(isQuery = false)
    @ApiModelProperty(value = "网点分账金额")
    private BigDecimal websitAmount;

    @ZfireField(isShow = false, type = "date")
    @ApiModelProperty(value = "支付时间")
    private Date payTime;

}
